# Logger

## Usage example

```javascript
import { createLogger } from 'queue-requests';

// Logger creation with `ui` label
const logger = createLogger('general');

// Changing endpoint (for debug purposes)
logger.setEndpoint('https://localhost/logger');

// Syntax
logger.info(message, extra);

logger.info('User credentials entered');
logger.warn('Incorrect username or password');
logger.error('Communication failure', { serverId: 'c00' });
```
